@import "../../theme/sizing";
@import "../../theme/typography";
@import "../../theme/palette";

.hamburger-menu-container {
  display: grid;
  justify-content: right;
  box-sizing: border-box;
  padding: 20px;

  @media #{$size_m} {
    display: none;
  }
}

.hamburger-menu {
  width: 40px;
  height: 40px;

  justify-content: center;
  align-items: center;
  background-color: $color_black;
  fill: $color_white;
  display: flex;
}

.hamburger-menu-hamburger {
  width: 20px;
  height: 20px;
}

.hamburger-menu-cross {
  width: 15px;
  height: 15px;
}

.navbar-closed {
  transform: translateX(320px);

  @media #{$size_m} {
    transform: none;
  }
}

.navbar {
  position: absolute;
  top: 75px;
  width: 320px;
  height: 100%;
  border: 1px solid $color_gray;
  background-color: $color_white;
  transition: all .2s;

  @media #{$size_m} {
    position: initial;
    top: initial;
    border: none;
    width: auto;
    text-align: center;
    margin: 10px;
  }
}

.navbar-item {
  @include text_regular;
  display: block;
  list-style: none;
  padding: 15px 25px;
  border-bottom: 1px solid $color_gray;
  text-transform: uppercase;

  &:hover {
    background-color: $color_gray;
  }

  &:last-of-type {
    box-shadow: 0 1px 2px 0 $color_darkGray;
  }

  @media #{$size_m} {
    padding: 10px 15px;
    display: inline-block;
    border: none;

    &:last-of-type {
      box-shadow: none;
    }
  }

  @media #{$size_l} {
    transform: none;
    padding: 10px 25px;
  }
}